Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util
Class EnumerationIterator

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.EnumerationIterator

All Implemented Interfaces:
  Iterator

public class EnumerationIterator
extends Object
implements Iterator

An Iterator wrapper for an Enumeration.

Version:
  $Id: EnumerationIterator.java,v 1.3 2004/02/28 13:45:21 yoavs Exp $

Constructor Summary
`EnumerationIterator(Enumeration enum)` Creates a new iteratorwrapper instance for the specified Enumeration.

Method Summary
`boolean` | `hasNext()` Check to see if there is another element in the array.
`Object` | `next()` Move to next element in the array.
`void` | `remove()` Unimplemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumerationIterator

    public EnumerationIterator(Enumeration enum)

  Creates a new iteratorwrapper instance for the specified Enumeration.
  Parameters:
    `enum` - The Enumeration to wrap.

Method Detail

### next

    public Object next()

  Move to next element in the array.
  Specified by:
    `next` in interface `Iterator`
  Returns:
    The next object in the array.

### hasNext

    public boolean hasNext()

  Check to see if there is another element in the array.
  Specified by:
    `hasNext` in interface `Iterator`
  Returns:
    Whether there is another element.

### remove

    public void remove()

  Unimplemented. No analogy in Enumeration
  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.